package cn.jlsxwkj.moudles.logerror;

import cn.jlsxwkj.common.R.ResponseError;
import lombok.Data;

/**
 * @author zh
 */
@Data
public class LogError {

    private long id;
    private String exception;
    private String message;
    private String errorInfo;
    private String errorStackTrace;
    private java.sql.Timestamp createTime;

    public LogError castErrorHandlerToLogError(ResponseError errorHandler) {
        this.setMessage(errorHandler.getMessage());
        this.setException(errorHandler.getException());
        return this;
    }
}
